latest version of JAVA for running Foxpro software

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
wpshooter
Level 5
Level 5
Posts: 779
Joined: Sun May 22, 2011 8:06 am

latest version of JAVA for running Foxpro software

Post by wpshooter » Tue Jul 09, 2019 2:36 pm

On the Foxpro (predator calls) website it says the following regarding JAVA:

The Java edition of the FOXPRO Programming Utility is compatible on multiple operating systems including Mac OS X, Windows, and Linux. This page provides you with the information you need to get the software up and running on your computer. Please be aware: your computer must have the latest version of Java installed in order for this software to run.

copied from this link: https://www.gofoxpro.com/service/mac-software

My question is is it probably really necessary (and safe) to substitute the latest version of JAVA from the JAVA website for the version of JAVA that is installed from the Linux Mint servers for Linux Mint 19.1 Mate ?

Thanks.

deepakdeshp
Level 15
Level 15
Posts: 5845
Joined: Sun Aug 09, 2015 10:00 am

Re: latest version of JAVA for running Foxpro software

Post by deepakdeshp » Tue Jul 09, 2019 3:06 pm

wpshooter wrote:
Tue Jul 09, 2019 2:36 pm
On the Foxpro (predator calls) website it says the following regarding JAVA:

The Java edition of the FOXPRO Programming Utility is compatible on multiple operating systems including Mac OS X, Windows, and Linux. This page provides you with the information you need to get the software up and running on your computer. Please be aware: your computer must have the latest version of Java installed in order for this software to run.

copied from this link: https://www.gofoxpro.com/service/mac-software

My question is is it probably really necessary (and safe) to substitute the latest version of JAVA from the JAVA website for the version of JAVA that is installed from the Linux Mint servers for Linux Mint 19.1 Mate ?

Thanks.
It's a matter of choice for you. Unless you have some programs which requires the installed version, it is ok to install the newer version. You can even keep multiple versions of java too.
If I have helped you solve a problem, please add [SOLVED] to your first post title, it helps other users looking for help, and keeps the forum clean.
Regards,
Deepak

I am using Mint 19.2 Cinnamon 64 bit with AMD A8/7410 processor . Memory 8GB

User avatar
xenopeek
Level 24
Level 24
Posts: 24099
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: latest version of JAVA for running Foxpro software

Post by xenopeek » Tue Jul 09, 2019 3:10 pm

It's quite a difference. The Java website would have you install Oracle Java 8. Linux Mint 19.x comes installed with OpenJDK Java 10. OpenJDK is the reference implementation for Java. I'd not mess with your system and just try the Foxpro software as-is with OpenJDK installed.

If you do need to downgrade to Java 8, I'd install openjdk-8-jre through Synaptic and not Oracle Java 8 from the website. Do that as a last resort if no OpenJDK version works. There's hopefully a better way to install Oracle Java then dinking around on the terminal as their instructions would have you do. Just try to stick with sensible OpenJDK :wink:

To check default Java version on your system run:
java --version
Image

mediclaser
Level 4
Level 4
Posts: 370
Joined: Tue Mar 20, 2018 2:28 pm

Re: latest version of JAVA for running Foxpro software

Post by mediclaser » Tue Jul 09, 2019 8:48 pm

I thought you were talking about the (Visual) FoxPro database and rapid-application-development (RAD) tool. :lol:
M$ killed it because it made many businesses self-reliant, which means less opportunity for M$ to sell their other products like MS SQL, Visual Studio, etc.
If you're looking for a greener Linux pasture, you won't find any that is greener than Linux Mint. ;)

wpshooter
Level 5
Level 5
Posts: 779
Joined: Sun May 22, 2011 8:06 am

Re: latest version of JAVA for running Foxpro software

Post by wpshooter » Sat Aug 31, 2019 3:02 pm

xenopeek wrote:
Tue Jul 09, 2019 3:10 pm
It's quite a difference. The Java website would have you install Oracle Java 8. Linux Mint 19.x comes installed with OpenJDK Java 10. OpenJDK is the reference implementation for Java. I'd not mess with your system and just try the Foxpro software as-is with OpenJDK installed.

If you do need to downgrade to Java 8, I'd install openjdk-8-jre through Synaptic and not Oracle Java 8 from the website. Do that as a last resort if no OpenJDK version works. There's hopefully a better way to install Oracle Java then dinking around on the terminal as their instructions would have you do. Just try to stick with sensible OpenJDK :wink:

To check default Java version on your system run:
java --version
Just getting back to this.

I did check the version and Mint 19.2 already has what appears to me to be version 11 of openjdk. There are other versions listed but
11 is the one that appears to be active/actually installed.

So it would seem to me at a minimum probably counter-productive to install an early version of JAVA be it from Synaptic "Linux server" or
from the JAVA website. Am I wrong in my thinking ? I have tried explaining this to Foxpro but they seem to have no concept of what I am
talking about !!!

Thanks.

User avatar
phd21
Level 19
Level 19
Posts: 9308
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: latest version of JAVA for running Foxpro software

Post by phd21 » Sat Aug 31, 2019 3:15 pm

Hi mediclaser,

I thought the same thing you did that this was some new version "fork" of of Visual FoxPro database programming language. LOL.
Phd21: Mint KDE 18.3 & 19, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

Post Reply

Return to “Software & Applications”